﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Telerik.Windows.Controls;

namespace ComboBox_Validation
{
    public class ViewModel:ViewModelBase,IDataErrorInfo
    {
        public ObservableCollection<Validations> Parametros { get; set; }
        public ViewModel()
        {
            Parametros = new ObservableCollection<Validations>();
            GetData();
        }

        private string selectedItem;

        public string Parametro
        {
            get { return selectedItem; }
            set { selectedItem = value; this.OnPropertyChanged("Parametro"); }
        }

        public string this[string columnName]
        {
            get
            {
                if ("Parametro" == columnName)
                {
                    if (String.IsNullOrEmpty(Parametro))
                    {
                        return "Favor informar o número do processo";
                    }
                }

                return "";
            }
        }

        public string Error
        {
            get { return null; }
        }

        private void GetData()
        {
            Validations test = new Validations();
            test.Parametro = "Parametro Test 1";

            Validations test2 = new Validations();
            test2.Parametro = "Parametro Test 2";
            // test.IDParametro = 1;

            Parametros.Add(test);
            Parametros.Add(test2);
        }
    }
}
